package de.infa.plugins.bgloc.service.storage;

import java.util.ArrayList;
import java.util.List;

public class SQLiteFlagOptions {
  private String mSessionToken;
  private List<Integer> mIds;
  private Boolean mApiTransmissionFlag;
  private Boolean mAppTransmissionFlag;

  public SQLiteFlagOptions() {
    mSessionToken = null;
    mIds = new ArrayList<>();
    mApiTransmissionFlag = null;
    mAppTransmissionFlag = null;
  }

  public String getSessionToken() {
    return mSessionToken;
  }

  public void setSessionToken(String sessionToken) {
    this.mSessionToken = sessionToken;
  }

  public List<Integer> getIds() {
    return mIds;
  }

  public void setIds(List<Integer> ids) {
    this.mIds = ids;
  }

  public boolean hasApiTransmissionFlag() { return mApiTransmissionFlag != null; }

  public Boolean getApiTransmissionFlag() {
    return mApiTransmissionFlag;
  }

  public void setApiTransmissionFlag(Boolean status) {
    this.mApiTransmissionFlag = status;
  }

  public boolean hasAppTransmissionFlag() {
    return mAppTransmissionFlag != null;
  }

  public Boolean getAppTransmissionFlag() {
    return mAppTransmissionFlag;
  }

  public void setAppTransmissionFlag(Boolean status) {
    this.mAppTransmissionFlag = status;
  }
}
